# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# Machine-ID and other random data on the target system.
#
# This module can create a number of "random" things on the target:
#  - a systemd machine-id file (hence the name of the Calamares module)
#    with a random UUID.
#  - a dbus machine-id file (or, optionally, link to the one from systemd)
#  - an entropy file
#
---
# Whether to create /etc/machine-id for systemd.
# The default is *false*.
systemd: true

# Whether to create /var/lib/dbus/machine-id for D-Bus.
# The default is *false*.
dbus: true
# Whether /var/lib/dbus/machine-id should be a symlink to /etc/machine-id
# (ignored if dbus is false, or if there is no /etc/machine-id to point to).
# The default is *false*.
dbus-symlink: true

# Copy entropy from the host? If this is set to *true*, then
# any entropy file listed below will be copied from the host
# if it exists. Non-existent files will be generated from
# /dev/urandom . The default is *false*.
entropy-copy: false
# Which files to write (paths in the target). Each of these files is
# either generated from /dev/urandom or copied from the host, depending
# on the setting for *entropy-copy*, above.
entropy-files:
    - /var/lib/urandom/random-seed
    - /var/lib/systemd/random-seed

# Whether to create an entropy file /var/lib/urandom/random-seed
#
# DEPRECATED: list the file in entropy-files instead. If this key
# exists and is set to *true*, a warning is printed and Calamares
# behaves as if `/var/lib/urandom/random-seed` is listed in *entropy-files*.
#
# entropy: false

# Whether to create a symlink for D-Bus
#
# DEPRECATED: set *dbus-symlink* with the same meaning instead.
#
# symlink: false
